ProtocolSocketFactory (HttpClient 3.1 API)
Keywords: org.apache.commons.httpclient.protocol.ProtocolSocketFactory interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.httpclient.protocol
Interface ProtocolSocketFactory

All Known Subinterfaces:
  SecureProtocolSocketFactory

All Known Implementing Classes:
  DefaultProtocolSocketFactory, SSLProtocolSocketFactory

    public interface ProtocolSocketFactory

A factory for creating Sockets.

Both `Object.equals()` and `Object.hashCode()` should be overridden appropriately. Protocol socket factories are used to uniquely identify `Protocol`s and `HostConfiguration`s, and `equals()` and `hashCode()` are required for the correct operation of some connection managers.

Since:
  2.0
Author:
  Michael Becke, Mike Bowler
See Also:
  `Protocol`

Method Summary
`Socket` | `createSocket(String host, int port)` Gets a new socket connection to the given host.
`Socket` | `createSocket(String host, int port, InetAddress localAddress, int localPort)` Gets a new socket connection to the given host.
`Socket` | `createSocket(String host, int port, InetAddress localAddress, int localPort, HttpConnectionParams params)` Gets a new socket connection to the given host.

Method Detail

### createSocket

    Socket createSocket(String host,
                        int port,
                        InetAddress localAddress,
                        int localPort)
                        throws IOException,
                               UnknownHostException

  Gets a new socket connection to the given host.

  Parameters:
    `host` - the host name/IP
    `port` - the port on the host
    `localAddress` - the local host name/IP to bind the socket to
    `localPort` - the port on the local machine
  Returns:
    Socket a new socket
  Throws:
    `IOException` - if an I/O error occurs while creating the socket
    `UnknownHostException` - if the IP address of the host cannot be determined

### createSocket

    Socket createSocket(String host,
                        int port,
                        InetAddress localAddress,
                        int localPort,
                        HttpConnectionParams params)
                        throws IOException,
                               UnknownHostException,
                               ConnectTimeoutException

  Gets a new socket connection to the given host.

  Parameters:
    `host` - the host name/IP
    `port` - the port on the host
    `localAddress` - the local host name/IP to bind the socket to
    `localPort` - the port on the local machine
    `params` - `Http connection parameters`
  Returns:
    Socket a new socket
  Throws:
    `IOException` - if an I/O error occurs while creating the socket
    `UnknownHostException` - if the IP address of the host cannot be determined
    `ConnectTimeoutException` - if socket cannot be connected within the given time limit
  Since:
    3.0

### createSocket

    Socket createSocket(String host,
                        int port)
                        throws IOException,
                               UnknownHostException

  Gets a new socket connection to the given host.

  Parameters:
    `host` - the host name/IP
    `port` - the port on the host
  Returns:
    Socket a new socket
  Throws:
    `IOException` - if an I/O error occurs while creating the socket
    `UnknownHostException` - if the IP address of the host cannot be determined

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Software Foundation. All Rights Reserved.